{% extends 'base.html.twig' %}

{% block title %}Hello UserController!{% endblock %}

{% block body %}
<main class="main">
    <section class="row mt-5">

        <div class="col-md-3 offset-3">
            <img class="rounded-circle img-profile" src="{{asset('img/avatar/') ~ app.user.imageName }}" alt="avatar">
        </div>
        <div class="col-md-3">
            <h2 class="display-3 ">{{ app.user.firstName }} {{ app.user.lastName }}</h2>
            <ul class="list-group list-group-flush">
                <li class="list-group-item">Mail: {{ app.user.email }}</li>
                <li class="list-group-item">Compte crée le {{ app.user.createdAt|date('d/m/Y') }}</li>
                <li class="list-group-item">Dernière connexion: {{ app.user.updatedAt|date('d/m/Y') }}</li>
                <li class="list-group-item">Status:
                    {% for role in app.user.roles %}
                        {{ role |capitalize |replace({'_': ' '}) }}
                    {% endfor %}
                </li>
            </ul>
            <a href="{{ path('app_edit-profile') }}" class="btn btn-outline-secondary mt-5">Modifier profile</a>
        </div>

    </section>
    <section style="background-color: #f1f1f1" >

        <h2 class="display-1 font-weight-bold text-xl-left mt-5 pt-5 p-3 ms-5">Favoris</h2>

        <div class="container mw-100 px-lg-5" >
            <div class="row m-auto gx-4">
                {% for paint in app.user.favorite %}
                    <div class="card mt-5 col-md-3 offset-1" style="width: 22rem;">
                        <img class="card-img-top" src="{{ asset('img/painting/' ~ paint.image) }}" alt="Card image cap">
                        <div class="card-body">
                            <h5 class="card-title">{{ paint.title|capitalize }}</h5>
                            <p class="card-text">{{ paint.description|slice(0, 100)~'...' }}</p>
                        </div>
                        <ul class="list-group list-group-flush">
                            <li class="list-group-item">{{ paint.createdAt|date('d/m/Y') }}</li>
                            <li class="list-group-item">{{ paint.category.name }}</li>
                            <li class="list-group-item">{{ paint.technical.name }}</li>
                            <li class="list-group-item">{{ paint.price|form_encode_currency('EUR') }}€</li>
                        </ul>
                        <div class="card-body">
                            <a href="{{ path('paint', {id: paint.id}) }}" class="btn btn-primary">Details</a>
                            <a class="liked-btn" href="{{ path('app_favorite', {id: paint.id}) }}"><i class="icofont-heart-alt"></i></a>

                            {% if app.user in paint.cart %}
                                <a class="liked-btn" href="{{ path('app_addCart', {id: paint.id}) }}"><i class="icofont-shopping-cart"></i></a>
                            {% else %}
                                <a class="like-btn" href="{{ path('app_addCart', {id: paint.id}) }}"><i class="icofont-shopping-cart"></i></a>
                            {% endif %}

                        </div>
                    </div>

                {% endfor %}
            </div>
        </div>
    </section>

</main>
{% endblock %}
